//: Playground - noun: a place where people can play

import UIKit

let name:[String] = ["Petra", "Sabine", "Michael", "Tobias"]

// Deklaration einer leeren Liste vom Type String
var laender = [String]()
// Werte der Liste hinzufügen
laender.append("England")
laender.append("Frankreich")
laender.append("Deutschland")
laender.append("Japan")

// Ausgabe des ersten und des letzten Wertes
print(laender[0])
print(laender[3])

// Ausgabe des ersten und des letzten Wertes
print(laender.first!)
print(laender.last!)

// Hier wird es einen Fehler geben
// print(laender[6])

// Das erste und das letzte Land der Liste
// ausgeben mit dem Optional-Binding

if let erstesLand = laender.first
{
    print(erstesLand)
}

if let letztesLand = laender.last
{
    print(letztesLand)
}



// Werte an bestimmten Positionen einfügen
laender.insert("Kanada", at: 2)
laender.insert("Schweiz", at: 2)

// Werte an bestimmten Positionen ersetzen
laender[0] = "Östereich"
laender[1] = "Indien"

// Einen Wert aus der Liste entfernen
laender.remove(at: 2)

// Ein neues Array anlegen und füllen
var afrika = [String]()
afrika.append("Ägypten")
afrika.append("Uganda")
afrika.append("Sudan")
afrika.append("Kamerun")
// Das neue Array dem bekannten Array anhängen
laender.append(contentsOf: afrika)

// print(laender)



// Anzahl der Werte im Array
var anzahl = laender.count

// Alle Werte ausgeben
for index in 0 ..< anzahl
{
    print(laender[index])
}

// Alle Werte ausgeben
for land in laender
{
    print(land)
}

// Alle Werte ausgeben
for land in laender
{
    if land == laender.first
    {
        print("Der erste Wert im Array")
    }
 
    if land == laender.last
    {
        print("Der letzte Wert im Array")
    }
    
    print(land)
}


// Definition von verschachtelten Listen
let laenderListe  = ["Deutschland", "Belgien", "Polen", "Frankreich"]
let haupstaedte = ["Berlin", "Brüssel", "Warschau", "Paris"]
let europa = [laenderListe, haupstaedte]

// Ausgabe von Elementen einer verschachtelten Liste
print("Die Haupstadt von \(europa[0][1]) ist \(europa[1][1]).")






