//: Playground - noun: a place where people can play

import UIKit

// Definition eines Dictionary
var personenDictionary = ["MM":"Max Meier", "UA":"Uwe Anton", "JM":"Julia Müller"]

// Ausgabe eines Wertes aus dem Dictionary
print("\(personenDictionary["UA"])")

// Zugriff mit einem Schlüssel der nicht verwendet wurde
print("\(personenDictionary["ZZ"])")

// Zusätzliche Schlüssel-Wert-Paare dem
// Dictionary hinzufügen
personenDictionary["SB"] = "Sina Becker"
personenDictionary["RK"] = "Ralf König"
personenDictionary["JW"] = "Jens Wasser"

// Die Werte werden überschrieben, wenn es
// die Schlüssel im Dictionary schon gibt.
personenDictionary["RK"] = "Rudolf Käse"
personenDictionary["JW"] = "Jan Wetter"

// Eine Schleife, die für alle Schlüssel des Dictionays
// die Werte ausgibt.
for key in personenDictionary.keys
{
    print("\(personenDictionary[key])")
}

// Ein Wertepaar aus dem Dictionary löschen
// Der Schlüssel wird als Parameter verwendet
personenDictionary.removeValue(forKey: "SB")

let wert = personenDictionary.removeValue(forKey: "JW")
if wert != nil
{
    print("Der Wert \(wert!) wurde aus dem Dictionary entfernt.")
}
else
{
    print("Es wurde kein Wertepaar aus dem Dictionay entfernt.")
    print("Den verwendeten Schlüssel gibt es nicht.")
}





